restic backup(1)

NAME

restic-ls - List files in a snapshot

SYNOPSIS

restic ls [flags] [snapshot-ID ...]

DESCRIPTION

The "ls" command allows listing files and directories in a snapshot.

The special snapshot-ID "latest" can be used to list files and directories of the latest snapshot in the repository.

OPTIONS

-h, --help[=false]
    help for ls

-H, --host=""
    only consider snapshots for this host, when no snapshot ID is given

-l, --long[=false]
    use a long listing format showing size and mode

--path=[]
    only consider snapshots which include this (absolute) path, when no snapshot ID is given

--tag=[]
    only consider snapshots which include this taglist, when no snapshot ID is given

OPTIONS INHERITED FROM PARENT COMMANDS

--json[=false]
    set output mode to JSON for commands that support it

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

SEE ALSO

restic(1)